Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
e75cb886cce3520435681315b08dba8ef647f839
[simgrid.git] / examples / amok / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27
28 VPATH = @srcdir@
29 pkgdatadir = $(datadir)/@PACKAGE@
30 pkglibdir = $(libdir)/@PACKAGE@
31 pkgincludedir = $(includedir)/@PACKAGE@
32 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
33 install_sh_DATA = $(install_sh) -c -m 644
34 install_sh_PROGRAM = $(install_sh) -c
35 install_sh_SCRIPT = $(install_sh) -c
36 INSTALL_HEADER = $(INSTALL_DATA)
37 transform = $(program_transform_name)
38 NORMAL_INSTALL = :
39 PRE_INSTALL = :
40 POST_INSTALL = :
41 NORMAL_UNINSTALL = :
42 PRE_UNINSTALL = :
43 POST_UNINSTALL = :
44 build_triplet = @build@
45 host_triplet = @host@
46 target_triplet = @target@
47 noinst_PROGRAMS = bandwidth/bandwidth_maestro$(EXEEXT) \
48         bandwidth/bandwidth_sensor$(EXEEXT) \
49         bandwidth/bandwidth_simulator$(EXEEXT) \
50         saturate/saturate_maestro$(EXEEXT) \
51         saturate/saturate_sensor$(EXEEXT) \
52         saturate/saturate_simulator$(EXEEXT)
53 @GRAS_ARCH_32_BITS_TRUE@am__append_1 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_32.tesh
54 @GRAS_ARCH_32_BITS_FALSE@am__append_2 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_64.tesh
55 @GRAS_ARCH_32_BITS_TRUE@am__append_3 = saturate/saturate_rl.tesh saturate/saturate_sg_32.tesh
56 @GRAS_ARCH_32_BITS_FALSE@am__append_4 = saturate/saturate_rl.tesh saturate/saturate_sg_64.tesh
57 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
58         $(top_srcdir)/acmacro/dist-files.mk
59 subdir = examples/amok
60 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
61 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
62         $(top_srcdir)/acmacro/compiler-flags.m4 \
63         $(top_srcdir)/acmacro/context.m4 \
64         $(top_srcdir)/acmacro/fancy_configury.m4 \
65         $(top_srcdir)/acmacro/flex.m4 \
66         $(top_srcdir)/acmacro/gras_arch.m4 \
67         $(top_srcdir)/acmacro/print_null.m4 \
68         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
69 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
70         $(ACLOCAL_M4)
71 mkinstalldirs = $(install_sh) -d
72 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
73 CONFIG_CLEAN_FILES =
74 PROGRAMS = $(noinst_PROGRAMS)
75 am_bandwidth_bandwidth_maestro_OBJECTS = bandwidth.$(OBJEXT) \
76         _bandwidth_maestro.$(OBJEXT)
77 bandwidth_bandwidth_maestro_OBJECTS =  \
78         $(am_bandwidth_bandwidth_maestro_OBJECTS)
79 bandwidth_bandwidth_maestro_DEPENDENCIES = $(LDADD_RL)
80 am__dirstamp = $(am__leading_dot)dirstamp
81 am_bandwidth_bandwidth_sensor_OBJECTS = bandwidth.$(OBJEXT) \
82         _bandwidth_sensor.$(OBJEXT)
83 bandwidth_bandwidth_sensor_OBJECTS =  \
84         $(am_bandwidth_bandwidth_sensor_OBJECTS)
85 bandwidth_bandwidth_sensor_DEPENDENCIES = $(LDADD_RL)
86 am_bandwidth_bandwidth_simulator_OBJECTS = bandwidth.$(OBJEXT) \
87         _bandwidth_simulator.$(OBJEXT)
88 bandwidth_bandwidth_simulator_OBJECTS =  \
89         $(am_bandwidth_bandwidth_simulator_OBJECTS)
90 bandwidth_bandwidth_simulator_DEPENDENCIES = $(LDADD_SG)
91 am_saturate_saturate_maestro_OBJECTS = saturate.$(OBJEXT) \
92         _saturate_maestro.$(OBJEXT)
93 saturate_saturate_maestro_OBJECTS =  \
94         $(am_saturate_saturate_maestro_OBJECTS)
95 saturate_saturate_maestro_DEPENDENCIES = $(LDADD_RL)
96 am_saturate_saturate_sensor_OBJECTS = saturate.$(OBJEXT) \
97         _saturate_sensor.$(OBJEXT)
98 saturate_saturate_sensor_OBJECTS =  \
99         $(am_saturate_saturate_sensor_OBJECTS)
100 saturate_saturate_sensor_DEPENDENCIES = $(LDADD_RL)
101 am_saturate_saturate_simulator_OBJECTS = saturate.$(OBJEXT) \
102         _saturate_simulator.$(OBJEXT)
103 saturate_saturate_simulator_OBJECTS =  \
104         $(am_saturate_saturate_simulator_OBJECTS)
105 saturate_saturate_simulator_DEPENDENCIES = $(LDADD_SG)
106 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
107 depcomp = $(SHELL) $(top_srcdir)/depcomp
108 am__depfiles_maybe = depfiles
109 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
110         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
111 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
112         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
113         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
114 CCLD = $(CC)
115 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
116         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
117         $(LDFLAGS) -o $@
118 SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
119         $(bandwidth_bandwidth_sensor_SOURCES) \
120         $(bandwidth_bandwidth_simulator_SOURCES) \
121         $(saturate_saturate_maestro_SOURCES) \
122         $(saturate_saturate_sensor_SOURCES) \
123         $(saturate_saturate_simulator_SOURCES)
124 DIST_SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
125         $(bandwidth_bandwidth_sensor_SOURCES) \
126         $(bandwidth_bandwidth_simulator_SOURCES) \
127         $(saturate_saturate_maestro_SOURCES) \
128         $(saturate_saturate_sensor_SOURCES) \
129         $(saturate_saturate_simulator_SOURCES)
130 ETAGS = etags
131 CTAGS = ctags
132 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
133 ACLOCAL = @ACLOCAL@
134 ADDR2LINE = @ADDR2LINE@
135 AMTAR = @AMTAR@
136 AM_CPPFLAGS = @AM_CPPFLAGS@
137 AR = @AR@
138 AS = @AS@
139 AUTOCONF = @AUTOCONF@
140 AUTOHEADER = @AUTOHEADER@
141 AUTOMAKE = @AUTOMAKE@
142 AWK = @AWK@
143 BASH = @BASH@
144 CC = @CC@
145 CCDEPMODE = @CCDEPMODE@
146 CFLAGS = @CFLAGS@
147 CPP = @CPP@
148 CPPFLAGS = @CPPFLAGS@
149 CXX = @CXX@
150 CXXCPP = @CXXCPP@
151 CXXDEPMODE = @CXXDEPMODE@
152 CXXFLAGS = @CXXFLAGS@
153 CYGPATH_W = @CYGPATH_W@
154 DEFS = @DEFS@
155 DEPDIR = @DEPDIR@
156 DLLTOOL = @DLLTOOL@
157 DOXYGEN = @DOXYGEN@
158 DSYMUTIL = @DSYMUTIL@
159 ECHO = @ECHO@
160 ECHO_C = @ECHO_C@
161 ECHO_N = @ECHO_N@
162 ECHO_T = @ECHO_T@
163 EGREP = @EGREP@
164 EXEEXT = @EXEEXT@
165 FLEXML = @FLEXML@
166 GCJ = @GCJ@
167 GCJDEPMODE = @GCJDEPMODE@
168 GCJFLAGS = @GCJFLAGS@
169 GRAS_DEP = @GRAS_DEP@
170 GREP = @GREP@
171 INSTALL = @INSTALL@
172 INSTALL_DATA = @INSTALL_DATA@
173 INSTALL_PROGRAM = @INSTALL_PROGRAM@
174 INSTALL_SCRIPT = @INSTALL_SCRIPT@
175 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
176 JAR = @JAR@
177 JAVA = @JAVA@
178 JAVAC = @JAVAC@
179 LDFLAGS = @LDFLAGS@
180 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
181 LEX = @LEX@
182 LEXLIB = @LEXLIB@
183 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
184 LIBOBJS = @LIBOBJS@
185 LIBS = @LIBS@
186 LIBTOOL = @LIBTOOL@
187 LN_S = @LN_S@
188 LTLIBOBJS = @LTLIBOBJS@
189 MAINT = @MAINT@
190 MAKEINFO = @MAKEINFO@
191 MKDIR_P = @MKDIR_P@
192 NMEDIT = @NMEDIT@
193 OBJDUMP = @OBJDUMP@
194 OBJEXT = @OBJEXT@
195 PACKAGE = @PACKAGE@
196 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
197 PACKAGE_NAME = @PACKAGE_NAME@
198 PACKAGE_STRING = @PACKAGE_STRING@
199 PACKAGE_TARNAME = @PACKAGE_TARNAME@
200 PACKAGE_VERSION = @PACKAGE_VERSION@
201 PATH_SEPARATOR = @PATH_SEPARATOR@
202 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
203 RANLIB = @RANLIB@
204 SED = @SED@
205 SET_MAKE = @SET_MAKE@
206 SHELL = @SHELL@
207 SIMGRID_DEP = @SIMGRID_DEP@
208 SMPI_DEP = @SMPI_DEP@
209 STRIP = @STRIP@
210 VERSION = @VERSION@
211 WARNING = @WARNING@
212 abs_builddir = @abs_builddir@
213 abs_srcdir = @abs_srcdir@
214 abs_top_builddir = @abs_top_builddir@
215 abs_top_srcdir = @abs_top_srcdir@
216 ac_configure_args = @ac_configure_args@
217 ac_ct_CC = @ac_ct_CC@
218 ac_ct_CXX = @ac_ct_CXX@
219 am__include = @am__include@
220 am__leading_dot = @am__leading_dot@
221 am__quote = @am__quote@
222 am__tar = @am__tar@
223 am__untar = @am__untar@
224 bindir = @bindir@
225 build = @build@
226 build_alias = @build_alias@
227 build_cpu = @build_cpu@
228 build_id = @build_id@
229 build_os = @build_os@
230 build_vendor = @build_vendor@
231 builddir = @builddir@
232 datadir = @datadir@
233 datarootdir = @datarootdir@
234 docdir = @docdir@
235 dvidir = @dvidir@
236 exec_prefix = @exec_prefix@
237 host = @host@
238 host_alias = @host_alias@
239 host_cpu = @host_cpu@
240 host_os = @host_os@
241 host_vendor = @host_vendor@
242 htmldir = @htmldir@
243 includedir = @includedir@
244 infodir = @infodir@
245 install_sh = @install_sh@
246 libdir = @libdir@
247 libexecdir = @libexecdir@
248 localedir = @localedir@
249 localstatedir = @localstatedir@
250 mandir = @mandir@
251 mkdir_p = @mkdir_p@
252 oldincludedir = @oldincludedir@
253 pdfdir = @pdfdir@
254 prefix = @prefix@
255 program_transform_name = @program_transform_name@
256 psdir = @psdir@
257 pth_skaddr_makecontext = @pth_skaddr_makecontext@
258 pth_sksize_makecontext = @pth_sksize_makecontext@
259 sbindir = @sbindir@
260 sharedstatedir = @sharedstatedir@
261 srcdir = @srcdir@
262 sysconfdir = @sysconfdir@
263 target = @target@
264 target_alias = @target_alias@
265 target_cpu = @target_cpu@
266 target_os = @target_os@
267 target_vendor = @target_vendor@
268 top_builddir = @top_builddir@
269 top_srcdir = @top_srcdir@
270 INCLUDES = -I$(top_srcdir)/include
271 AM_CFLAGS = -g
272
273 ###################
274 # Bandwidth tests #
275 ###################
276
277 ###################
278 # saturate tests #
279 ###################
280
281 #########
282 # Cruft #
283 #########
284 EXTRA_DIST = bandwidth/bandwidth.xml saturate/saturate.xml $(TESTS)
285 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
286 TESTS = $(am__append_1) $(am__append_2) $(am__append_3) \
287         $(am__append_4)
288 XFAIL_TESTS = bandwidth/bandwidth_rl.tesh saturate/saturate_rl.tesh
289 LDADD_SG = $(top_builddir)/src/libsimgrid.la
290 LDADD_RL = $(top_builddir)/src/libgras.la
291 bandwidth_bandwidth_simulator_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_simulator.c
292 bandwidth_bandwidth_maestro_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_maestro.c
293 bandwidth_bandwidth_sensor_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_sensor.c 
294 bandwidth_bandwidth_simulator_LDADD = $(LDADD_SG)
295 bandwidth_bandwidth_maestro_LDADD = $(LDADD_RL)
296 bandwidth_bandwidth_sensor_LDADD = $(LDADD_RL)
297 saturate_saturate_simulator_SOURCES = saturate/saturate.c saturate/_saturate_simulator.c
298 saturate_saturate_maestro_SOURCES = saturate/saturate.c saturate/_saturate_maestro.c
299 saturate_saturate_sensor_SOURCES = saturate/saturate.c saturate/_saturate_sensor.c 
300 saturate_saturate_simulator_LDADD = $(LDADD_SG)
301 saturate_saturate_maestro_LDADD = $(LDADD_RL)
302 saturate_saturate_sensor_LDADD = $(LDADD_RL)
303 all: all-am
304
305 .SUFFIXES:
306 .SUFFIXES: .c .lo .o .obj
307 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
308         @for dep in $?; do \
309           case '$(am__configure_deps)' in \
310             *$$dep*) \
311               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
312                 && exit 0; \
313               exit 1;; \
314           esac; \
315         done; \
316         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/amok/Makefile'; \
317         cd $(top_srcdir) && \
318           $(AUTOMAKE) --gnu  examples/amok/Makefile
319 .PRECIOUS: Makefile
320 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
321         @case '$?' in \
322           *config.status*) \
323             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
324           *) \
325             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
326             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
327         esac;
328
329 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
330         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
331
332 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
333         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
334 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
335         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
336
337 clean-noinstPROGRAMS:
338         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
339           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
340           echo " rm -f $$p $$f"; \
341           rm -f $$p $$f ; \
342         done
343 bandwidth/$(am__dirstamp):
344         @$(MKDIR_P) bandwidth
345         @: > bandwidth/$(am__dirstamp)
346 bandwidth/bandwidth_maestro$(EXEEXT): $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_DEPENDENCIES) bandwidth/$(am__dirstamp)
347         @rm -f bandwidth/bandwidth_maestro$(EXEEXT)
348         $(LINK) $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_LDADD) $(LIBS)
349 bandwidth/bandwidth_sensor$(EXEEXT): $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_DEPENDENCIES) bandwidth/$(am__dirstamp)
350         @rm -f bandwidth/bandwidth_sensor$(EXEEXT)
351         $(LINK) $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_LDADD) $(LIBS)
352 bandwidth/bandwidth_simulator$(EXEEXT): $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_DEPENDENCIES) bandwidth/$(am__dirstamp)
353         @rm -f bandwidth/bandwidth_simulator$(EXEEXT)
354         $(LINK) $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_LDADD) $(LIBS)
355 saturate/$(am__dirstamp):
356         @$(MKDIR_P) saturate
357         @: > saturate/$(am__dirstamp)
358 saturate/saturate_maestro$(EXEEXT): $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_DEPENDENCIES) saturate/$(am__dirstamp)
359         @rm -f saturate/saturate_maestro$(EXEEXT)
360         $(LINK) $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_LDADD) $(LIBS)
361 saturate/saturate_sensor$(EXEEXT): $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_DEPENDENCIES) saturate/$(am__dirstamp)
362         @rm -f saturate/saturate_sensor$(EXEEXT)
363         $(LINK) $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_LDADD) $(LIBS)
364 saturate/saturate_simulator$(EXEEXT): $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_DEPENDENCIES) saturate/$(am__dirstamp)
365         @rm -f saturate/saturate_simulator$(EXEEXT)
366         $(LINK) $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_LDADD) $(LIBS)
367
368 mostlyclean-compile:
369         -rm -f *.$(OBJEXT)
370
371 distclean-compile:
372         -rm -f *.tab.c
373
374 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_maestro.Po@am__quote@
375 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_sensor.Po@am__quote@
376 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_simulator.Po@am__quote@
377 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_maestro.Po@am__quote@
378 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_sensor.Po@am__quote@
379 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_simulator.Po@am__quote@
380 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bandwidth.Po@am__quote@
381 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/saturate.Po@am__quote@
382
383 .c.o:
384 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
385 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
386 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
387 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
388 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
389
390 .c.obj:
391 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
392 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
393 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
394 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
395 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
396
397 .c.lo:
398 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
399 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
400 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
401 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
402 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
403
404 bandwidth.o: bandwidth/bandwidth.c
405 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.o -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
406 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
407 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.o' libtool=no @AMDEPBACKSLASH@
408 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
409 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
410
411 bandwidth.obj: bandwidth/bandwidth.c
412 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.obj -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
413 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
414 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.obj' libtool=no @AMDEPBACKSLASH@
415 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
416 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
417
418 _bandwidth_maestro.o: bandwidth/_bandwidth_maestro.c
419 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.o -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
420 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
421 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.o' libtool=no @AMDEPBACKSLASH@
422 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
423 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
424
425 _bandwidth_maestro.obj: bandwidth/_bandwidth_maestro.c
426 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.obj -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
427 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
428 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.obj' libtool=no @AMDEPBACKSLASH@
429 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
430 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
431
432 _bandwidth_sensor.o: bandwidth/_bandwidth_sensor.c
433 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.o -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
434 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
435 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.o' libtool=no @AMDEPBACKSLASH@
436 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
437 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
438
439 _bandwidth_sensor.obj: bandwidth/_bandwidth_sensor.c
440 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.obj -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
441 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
442 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.obj' libtool=no @AMDEPBACKSLASH@
443 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
444 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
445
446 _bandwidth_simulator.o: bandwidth/_bandwidth_simulator.c
447 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.o -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
448 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
449 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.o' libtool=no @AMDEPBACKSLASH@
450 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
451 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
452
453 _bandwidth_simulator.obj: bandwidth/_bandwidth_simulator.c
454 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.obj -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
455 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
456 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.obj' libtool=no @AMDEPBACKSLASH@
457 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
458 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
459
460 saturate.o: saturate/saturate.c
461 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.o -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
462 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
463 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.o' libtool=no @AMDEPBACKSLASH@
464 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
465 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
466
467 saturate.obj: saturate/saturate.c
468 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.obj -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
469 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
470 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.obj' libtool=no @AMDEPBACKSLASH@
471 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
472 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
473
474 _saturate_maestro.o: saturate/_saturate_maestro.c
475 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.o -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
476 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
477 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.o' libtool=no @AMDEPBACKSLASH@
478 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
479 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
480
481 _saturate_maestro.obj: saturate/_saturate_maestro.c
482 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.obj -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
483 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
484 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.obj' libtool=no @AMDEPBACKSLASH@
485 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
486 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
487
488 _saturate_sensor.o: saturate/_saturate_sensor.c
489 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.o -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
490 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
491 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.o' libtool=no @AMDEPBACKSLASH@
492 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
493 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
494
495 _saturate_sensor.obj: saturate/_saturate_sensor.c
496 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.obj -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
497 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
498 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.obj' libtool=no @AMDEPBACKSLASH@
499 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
500 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
501
502 _saturate_simulator.o: saturate/_saturate_simulator.c
503 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.o -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
504 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
505 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.o' libtool=no @AMDEPBACKSLASH@
506 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
507 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
508
509 _saturate_simulator.obj: saturate/_saturate_simulator.c
510 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.obj -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
511 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
512 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.obj' libtool=no @AMDEPBACKSLASH@
513 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
514 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
515
516 mostlyclean-libtool:
517         -rm -f *.lo
518
519 clean-libtool:
520         -rm -rf .libs _libs
521         -rm -rf bandwidth/.libs bandwidth/_libs
522         -rm -rf saturate/.libs saturate/_libs
523
524 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
525         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
526         unique=`for i in $$list; do \
527             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
528           done | \
529           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
530               END { if (nonempty) { for (i in files) print i; }; }'`; \
531         mkid -fID $$unique
532 tags: TAGS
533
534 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
535                 $(TAGS_FILES) $(LISP)
536         tags=; \
537         here=`pwd`; \
538         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
539         unique=`for i in $$list; do \
540             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
541           done | \
542           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
543               END { if (nonempty) { for (i in files) print i; }; }'`; \
544         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
545           test -n "$$unique" || unique=$$empty_fix; \
546           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
547             $$tags $$unique; \
548         fi
549 ctags: CTAGS
550 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
551                 $(TAGS_FILES) $(LISP)
552         tags=; \
553         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
554         unique=`for i in $$list; do \
555             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
556           done | \
557           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
558               END { if (nonempty) { for (i in files) print i; }; }'`; \
559         test -z "$(CTAGS_ARGS)$$tags$$unique" \
560           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
561              $$tags $$unique
562
563 GTAGS:
564         here=`$(am__cd) $(top_builddir) && pwd` \
565           && cd $(top_srcdir) \
566           && gtags -i $(GTAGS_ARGS) $$here
567
568 distclean-tags:
569         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
570
571 check-TESTS: $(TESTS)
572         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
573         srcdir=$(srcdir); export srcdir; \
574         list=' $(TESTS) '; \
575         if test -n "$$list"; then \
576           for tst in $$list; do \
577             if test -f ./$$tst; then dir=./; \
578             elif test -f $$tst; then dir=; \
579             else dir="$(srcdir)/"; fi; \
580             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
581               all=`expr $$all + 1`; \
582               case " $(XFAIL_TESTS) " in \
583               *$$ws$$tst$$ws*) \
584                 xpass=`expr $$xpass + 1`; \
585                 failed=`expr $$failed + 1`; \
586                 echo "XPASS: $$tst"; \
587               ;; \
588               *) \
589                 echo "PASS: $$tst"; \
590               ;; \
591               esac; \
592             elif test $$? -ne 77; then \
593               all=`expr $$all + 1`; \
594               case " $(XFAIL_TESTS) " in \
595               *$$ws$$tst$$ws*) \
596                 xfail=`expr $$xfail + 1`; \
597                 echo "XFAIL: $$tst"; \
598               ;; \
599               *) \
600                 failed=`expr $$failed + 1`; \
601                 echo "FAIL: $$tst"; \
602               ;; \
603               esac; \
604             else \
605               skip=`expr $$skip + 1`; \
606               echo "SKIP: $$tst"; \
607             fi; \
608           done; \
609           if test "$$failed" -eq 0; then \
610             if test "$$xfail" -eq 0; then \
611               banner="All $$all tests passed"; \
612             else \
613               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
614             fi; \
615           else \
616             if test "$$xpass" -eq 0; then \
617               banner="$$failed of $$all tests failed"; \
618             else \
619               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
620             fi; \
621           fi; \
622           dashes="$$banner"; \
623           skipped=""; \
624           if test "$$skip" -ne 0; then \
625             skipped="($$skip tests were not run)"; \
626             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
627               dashes="$$skipped"; \
628           fi; \
629           report=""; \
630           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
631             report="Please report to $(PACKAGE_BUGREPORT)"; \
632             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
633               dashes="$$report"; \
634           fi; \
635           dashes=`echo "$$dashes" | sed s/./=/g`; \
636           echo "$$dashes"; \
637           echo "$$banner"; \
638           test -z "$$skipped" || echo "$$skipped"; \
639           test -z "$$report" || echo "$$report"; \
640           echo "$$dashes"; \
641           test "$$failed" -eq 0; \
642         else :; fi
643
644 distdir: $(DISTFILES)
645         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
646         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
647         list='$(DISTFILES)'; \
648           dist_files=`for file in $$list; do echo $$file; done | \
649           sed -e "s|^$$srcdirstrip/||;t" \
650               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
651         case $$dist_files in \
652           */*) $(MKDIR_P) `echo "$$dist_files" | \
653                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
654                            sort -u` ;; \
655         esac; \
656         for file in $$dist_files; do \
657           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
658           if test -d $$d/$$file; then \
659             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
660             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
661               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
662             fi; \
663             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
664           else \
665             test -f $(distdir)/$$file \
666             || cp -p $$d/$$file $(distdir)/$$file \
667             || exit 1; \
668           fi; \
669         done
670 check-am: all-am
671         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
672 check: check-am
673 all-am: Makefile $(PROGRAMS)
674 installdirs:
675 install: install-am
676 install-exec: install-exec-am
677 install-data: install-data-am
678 uninstall: uninstall-am
679
680 install-am: all-am
681         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
682
683 installcheck: installcheck-am
684 install-strip:
685         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
686           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
687           `test -z '$(STRIP)' || \
688             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
689 mostlyclean-generic:
690
691 clean-generic:
692
693 distclean-generic:
694         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
695         -rm -f bandwidth/$(am__dirstamp)
696         -rm -f saturate/$(am__dirstamp)
697
698 maintainer-clean-generic:
699         @echo "This command is intended for maintainers to use"
700         @echo "it deletes files that may require special tools to rebuild."
701 clean: clean-am
702
703 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
704         mostlyclean-am
705
706 distclean: distclean-am
707         -rm -rf ./$(DEPDIR)
708         -rm -f Makefile
709 distclean-am: clean-am distclean-compile distclean-generic \
710         distclean-tags
711
712 dvi: dvi-am
713
714 dvi-am:
715
716 html: html-am
717
718 info: info-am
719
720 info-am:
721
722 install-data-am:
723
724 install-dvi: install-dvi-am
725
726 install-exec-am:
727
728 install-html: install-html-am
729
730 install-info: install-info-am
731
732 install-man:
733
734 install-pdf: install-pdf-am
735
736 install-ps: install-ps-am
737
738 installcheck-am:
739
740 maintainer-clean: maintainer-clean-am
741         -rm -rf ./$(DEPDIR)
742         -rm -f Makefile
743 maintainer-clean-am: distclean-am maintainer-clean-generic
744
745 mostlyclean: mostlyclean-am
746
747 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
748         mostlyclean-libtool
749
750 pdf: pdf-am
751
752 pdf-am:
753
754 ps: ps-am
755
756 ps-am:
757
758 uninstall-am:
759
760 .MAKE: install-am install-strip
761
762 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
763         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
764         distclean distclean-compile distclean-generic \
765         distclean-libtool distclean-tags distdir dvi dvi-am html \
766         html-am info info-am install install-am install-data \
767         install-data-am install-dvi install-dvi-am install-exec \
768         install-exec-am install-html install-html-am install-info \
769         install-info-am install-man install-pdf install-pdf-am \
770         install-ps install-ps-am install-strip installcheck \
771         installcheck-am installdirs maintainer-clean \
772         maintainer-clean-generic mostlyclean mostlyclean-compile \
773         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
774         tags uninstall uninstall-am
775
776
777 # Take care of generatated sources
778 bandwidth/_bandwidth_simulator.c bandwidth/_bandwidth_sensor.c bandwidth/_bandwidth_maestro.c : bandwidth/bandwidth.c bandwidth/bandwidth.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
779         cd bandwidth; $(abs_top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ bandwidth $(abs_top_srcdir)/examples/amok/bandwidth/bandwidth.xml
780
781 # Take care of generatated sources
782 saturate/_saturate_simulator.c saturate/_saturate_sensor.c saturate/_saturate_maestro.c : saturate/saturate.c saturate/saturate.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
783         cd saturate; $(abs_top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ saturate $(abs_top_srcdir)/examples/amok/saturate/saturate.xml
784
785 dist-files:
786         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
787         @echo
788         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
789 # Tell versions [3.59,3.63) of GNU make to not export all variables.
790 # Otherwise a system limit (for SysV at least) may be exceeded.
791 .NOEXPORT: